Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008447opensim[REGION] Script Functionspublic2019-01-10 13:152019-11-18 04:33
ReporterSnootsDwagon 
Assigned Totampa 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformAllOSOS Version
Product Version0.9.0.1 
Target VersionFixed in Version0.9.1.1 
Summary0008447: Feature Request: llDialog() to allow empty [] list
Description
Currently the Opensim script engine will hang on an unfilled [] list field. In truth, there is no absolute necessity to include a list in llDialog(), nor need to place "" within the brackets. On Inworldz they allowed empty [] without causing a script error; the system just "filled in" the empty brackets.

It would be wonderful if the Opensim script engine were updated to allow empty list brackets in llDialog(). In my particular instance it would prevent me from having to manually alter literally hundreds of scripts and place "" within the []. There are a lot of scripts coming in from Inworldz, where both subroutines at the end of the code and an empty llDialog() [] list was allowed. If empty [] were to be allowed in Opensim scripting, I would bless you and your family and your pets, showering good thoughts upon you and great appreciation. : )
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Script Engine
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0008613resolvedtampa llDialog: At least 1 button must be shown - Scripting Flaw 

-  Notes
(0033749)
UbitUmarov (administrator)
2019-01-10 13:55

<cia-opensim> opensim: ajlduarte * r43f4eca67cb0 OpenSim/Region/ScriptEngine/Shared/Api/Implementation (LSL_Api.cs):
<cia-opensim> mantis 8447: empty buttons list in llDialog now shows Ok button

This is now as current spec and hope it helps

if so, me, my family and my cats thank your blessing, good thoughts and great appreciation

;)
(0033750)
SnootsDwagon (reporter)
2019-01-10 14:47

Well awesome. I'll have to download and (sigh) re-install the latest version. Easier than updating 700 scripts though! :D

Which version is this now operational in? Thanks.
(0033751)
BillBlight (developer)
2019-01-10 14:50

Commit r43f4eca67cb0

on the Master git ..
(0033752)
SnootsDwagon (reporter)
2019-01-10 15:37

/me cocks dwagon head and scritches ear fins and politely requests that in layman's link. ;D
(0033753)
BillBlight (developer)
2019-01-10 15:41
edited on: 2019-01-10 15:42

http://opensimulator.org/wiki/Developer_Documentation#Source_Code_Repository_Access [^]

http://opensimulator.org/wiki/Build_Instructions [^]

(0033761)
SnootsDwagon (reporter)
2019-01-11 06:10

Thank you! : )
(0033762)
SnootsDwagon (reporter)
2019-01-11 06:14

As a note-- first link on the first link page results in "page not found".

And for those of us who aren't system coders, "building" code isn't our cuppa tea. Not everyone is a tech, uses Visual Studio, etc.

Is there a 'ready to install' version of this available? (.exe, .msi or .zip version?)
(0033764)
BillBlight (developer)
2019-01-11 07:48

if you are talking about this , "git clone git://opensimulator.org/git/opensim" [^] that is a git repository so no you can't open that in the web browser ..

But if you read the page, you find the link to the web version of it,
http://opensimulator.org/viewgit/?a=shortlog&p=opensim [^]

And No if you don't desire to build your own then you have to wait for wherever you normally get it, and you are at their mercy.
(0033770)
SnootsDwagon (reporter)
2019-01-11 09:57

Eeeps! ;)

Seems odd to me for someone to go to all that work modding... then not build an installable file. Much as I appreciate all the work, doesn't do the average user much good if we can't install it.
(0033771)
BillBlight (developer)
2019-01-11 10:00

That is because the dev branch is just that DEV ...

Once osgrid decides to update it's build, then people who can't or don't want to compile will have access ...
(0033772)
SnootsDwagon (reporter)
2019-01-11 13:22

Ah I understand. Thanks Ubit, Bill. Will look forward to the release. : )
(0033773)
aiaustin (developer)
2019-01-11 13:52
edited on: 2019-01-11 13:56

@SnootsDwagon - as well as the OSGrid add on region precompiled version at https://www.osgrid.org/download.php [^] are some ready to run versions

1. Sim on a Stick ... up to 0.8.0 - not updated recently.
   http://simonastick.com/ [^]
2. Diva Distribution (D2) ... up to date as at 0.9.0.0 stable release.
   http://metaverseink.com/Downloads.html [^]
3. Outworldz Dreamgrid ... up to 0.9.0.1
   https://www.outworldz.com/outworldz_installer/ [^]

I have blog posts with some experience and resource notes for these at

http://blog.inf.ed.ac.uk/atate/2016/05/17/sim-on-a-stick-for-opensim-development-and-testing/ [^]

http://blog.inf.ed.ac.uk/atate/2018/12/11/dreamgrid/ [^]

(0033774)
aiaustin (developer)
2019-01-11 13:57

OSGrid is not usually far behind the latest dev master version @Snootsdwagon .. last version is on 26 Nov 2018 at the moment, but they usually get a precompiled version ready as soon as they are comfortable the recent developments are stable.
(0033775)
BillBlight (developer)
2019-01-11 14:16

@aiaustin, he was looking for a compiled version with THIS fix in it ..
(0033776)
aiaustin (developer)
2019-01-11 14:29

Got it.
(0033777)
SnootsDwagon (reporter)
2019-01-11 19:27

Yup. I have items I managed to salvage from Inworldz before it collapsed. All of them contain the same short script, with an "OK" llDialog() (no need for list variables)... and there are 700+ of them. (They explain the jokes in the Hall of Funny on ElvenSong). So it's waiting for the new version or re-doing 700+ scripts. I'll wait for the new version. ;D
(0033779)
UbitUmarov (administrator)
2019-01-12 06:53

Sorry, but we do not make snapshots of dev code. They can be dangerus.
Dev git code, specially after a commit, is in early testing stage.

Osgrid and several more people do compile and run it in easy recoverable, test regions, providing fundamental feedback.
Osgrid does binary releases from that on regular basis.
They are pre configured for osg usage, but can be made generic by replacing all ini files with oriignal ones.

Our own release cycle is very slow, because we would like to do it after collecting somewhat large feedback, even from users like osgrid users.
but then we keep making changes... ;)
(0033780)
SnootsDwagon (reporter)
2019-01-12 07:28

I understand. For me this is a major one, as it affects 700+ items in one of our most popular exhibits. Every script is inactive because the script language doesn't recognize an empty [] list in llDialog. Could change it by hand... but that is a lotta, lotta time involved. It affected scripting brought in from elsewhere on the last Fundraising Event too; we were constantly having to upgrade scripts because of this issue and the issue of subroutines being forced at the beginning rather than the end of the code (what was Cory Linden even thinking?).
Anyhow, still stands: would love to see this update on OSgrid. Thx. : )
(0033781)
aiaustin (developer)
2019-01-12 13:10
edited on: 2019-01-13 01:29

The OSGrid folks updated today to latest dev master ... https://www.osgrid.org/download.php [^]

(0033782)
SnootsDwagon (reporter)
2019-01-12 14:27

Woot! Thanks Aiaustin & all!

- Issue History
Date Modified Username Field Change
2019-01-10 13:15 SnootsDwagon New Issue
2019-01-10 13:55 UbitUmarov Note Added: 0033749
2019-01-10 14:47 SnootsDwagon Note Added: 0033750
2019-01-10 14:50 BillBlight Note Added: 0033751
2019-01-10 15:37 SnootsDwagon Note Added: 0033752
2019-01-10 15:41 BillBlight Note Added: 0033753
2019-01-10 15:42 BillBlight Note Edited: 0033753 View Revisions
2019-01-11 06:10 SnootsDwagon Note Added: 0033761
2019-01-11 06:14 SnootsDwagon Note Added: 0033762
2019-01-11 07:48 BillBlight Note Added: 0033764
2019-01-11 09:57 SnootsDwagon Note Added: 0033770
2019-01-11 10:00 BillBlight Note Added: 0033771
2019-01-11 13:22 SnootsDwagon Note Added: 0033772
2019-01-11 13:52 aiaustin Note Added: 0033773
2019-01-11 13:56 aiaustin Note Edited: 0033773 View Revisions
2019-01-11 13:57 aiaustin Note Added: 0033774
2019-01-11 14:16 BillBlight Note Added: 0033775
2019-01-11 14:29 aiaustin Note Added: 0033776
2019-01-11 19:27 SnootsDwagon Note Added: 0033777
2019-01-12 06:53 UbitUmarov Note Added: 0033779
2019-01-12 07:28 SnootsDwagon Note Added: 0033780
2019-01-12 13:10 aiaustin Note Added: 0033781
2019-01-12 14:27 SnootsDwagon Note Added: 0033782
2019-01-13 01:29 aiaustin Note Edited: 0033781 View Revisions
2019-10-23 10:48 BillBlight Relationship added related to 0008613
2019-11-18 04:32 tampa Status new => resolved
2019-11-18 04:32 tampa Fixed in Version => 0.9.1.1
2019-11-18 04:32 tampa Resolution open => fixed
2019-11-18 04:32 tampa Assigned To => tampa


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker